boxfit(6x)

NAME
boxfit - fills space with a gradient of growing boxes or circles.

SYNOPSIS
boxfit [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay usecs] [--count int] [--growby int] [--spacing int] [--border int] [--circles | --squares | --random] [--grab] [--peek] [--fps]

DESCRIPTION
Packs the screen with growing boxes or circles, colored according to a horizontal or vertical gradient. The objects grow until they touch, then stop. When the screen is full, they shrink away and the process restarts.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay microseconds
    How much of a delay should be introduced between steps of the animation. Default 20000, or about 0.02 seconds.

--count int
    How many boxes or circles to animate simultaneously; default 50. Smaller numbers yield larger boxes/circles.

--growby int
    How many pixels the objects should grow by, each frame. Default 1.

--spacing int
    How many pixels of space should be left between the objects. Default 1.

--border int
    Thickness of the colored border around each object. Default 1.

--circles | --squares | --random
    Draw circles, squares, or choose randomly (the default).

--grab
    Normally it colors the boxes with a horizontal or vertical gradient. If --grab is specified, it will instead load a random image, and color the boxes according to the colors in that image. As the picture fills in, some features of the underlying image may become recognisable.

    When grabbing images, the image will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-settings(1) for more details.

--peek
    This option says to briefly show you the underlying image before beginning. The default is not to show the unadulterated image at all. (This only has an effect when --grab is used.)

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1) xscreensaver-settings(1), xscreensaver-getimage(6x)

COPYRIGHT
Copyright © 2005 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>